package com.zipcodewilmington.productmanager;

import org.junit.Test;
import org.junit.Assert;

/**
 * Created by leon on 1/10/18.
 */
public class ProductTest {
    Product prod = new Product("Computer", 100,5.00, 50);

    @Test
    public void getName(){
        String actual = prod.getName();
        String expected = "Computer";

        Assert.assertEquals(expected,actual);
    }

    @Test
    public void setName(){
        prod.setName("Laptop");
        String actual = prod.getName();
        String expected = "Laptop";

        Assert.assertEquals(expected,actual);
    }
    @Test
    public void getPriceTest(){
        double actual = prod.getPrice();
        double expected = 5.00;

        Assert.assertEquals(expected, actual, 0.1);
    }

    @Test
    public void setPriceTest(){
        prod.setPrice(6.00);
        double actual = prod.getPrice();
        double expected = 6.00;

        Assert.assertEquals(expected,actual,.1);
    }

    @Test
    public void getIdTest(){
        int actual = prod.getId();
        int expected = 100;

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void setIdTest(){
        prod.setId(002);
        int actual = prod.getId();
        int expected = 002;

        Assert.assertEquals(expected,actual);
    }
    @Test
    public void getQuantityTest(){
        int actual = prod.getQuantity();
        int expected = 50;

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void setQuantityTest(){
        prod.setQuantity(60);
        int actual = prod.getQuantity();
        int expected = 60;

        Assert.assertEquals(expected,actual);
    }
}
